This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 357131 - BAD: RPM database is corrupt and not recoverable
BAD: RPM database is corrupt and not recoverable
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rpm (Show other bugs)
4.1
i386 Linux
low Severity high
: ---
: ---
Assigned To: Panu Matilainen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-29 14:39 EDT by Bob Nye
Modified: 2007-11-16 20:14 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-05 06:08:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
this is the database that is causing the segfault (17.41 MB, application/gzip)
2007-11-01 10:43 EDT, Bob Nye
no flags Details

  None (edit)
Description Bob Nye 2007-10-29 14:39:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.8) Gecko/20071008 Firefox/2.0.0.8

Description of problem:
I have a corrupt rpm database I have tried rm /var/lib/__db.* and rpm --rebuilddb
but that process ends in a segfault.

When I issue the command rpm -qa I also get a segfault.  I am stuck now, I can't update anything till the rpm database is fixed.

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. rpm -qa
2. segfault
3. much yelling and screaming

Actual Results:
segfault

Expected Results:
The rpm database should be rebuilt

Additional info:
Comment 1 Panu Matilainen 2007-11-01 06:08:27 EDT
See http://people.redhat.com/berrange/notes/rpmrecovery.html for full recovery
procedure (it says it's for RHEL 3 but it's valid for RHEL 4 too).

If that doesn't help, I'll need a crash traceback with relevant debuginfo
packages installed and probably a copy of the faulty rpmdb  to have any chance
at fixing.
Comment 2 Bob Nye 2007-11-01 10:43:38 EDT
Created attachment 245741 [details]
this is the database that is causing the segfault
Comment 3 Panu Matilainen 2007-11-05 06:08:55 EST
Umm, the database is from a Red Hat Linux 8.0 system, not RHEL 4. You wont be
getting fixes for rpm (or any other packages for that matter) for RHL 8.0
anymore, it's been EOL'd several years ago.

That said, it appears that the Pubkeys index is corrupted and causing the
segfaults, "rm -f /var/lib/rpm/Pubkeys; rpm --rebuilddb" should help.

Note You need to log in before you can comment on or make changes to this bug.